#!/bin/sh

edition="$(basename $(pwd))"
sudo rm -rfv ../work_${edition}
status="$?"
rm -v airootfs/opt/extra-drivers/*.pkg.tar.*
status=$(( $status + "$?" ))
rm -v airootfs/root/packages/*.pkg.tar.*
status=$(( $status + "$?" ))
rm -v airootfs/usr/share/packages/*.pkg.tar.*
status=$(( $status + "$?" ))

mkdir ../work_${edition}

notify-send -a "$(basename $(pwd)): Reset" -t 10000 "finished" "$(date '+%Y.%m.%d %H:%M:%S')"

echo "Ready"
if [ "$status" == 0 ]; then
    sleep 5
    kill $(ps x | grep konsole | grep $0 | awk '{print $1}')
fi
